%define rname taglib-sharp

Summary: A library for reading and writing tags to audio files.
Name: libtag-sharp
Version: 2.0.2.0
Release: alt2
Copyright: LGPL
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: http://www.taglib-sharp.com/Download/%rname-%version.tar.gz
URL: http://www.taglib-sharp.com/

Patch1: taglib-sharp-fix-path.patch

BuildRequires: /proc
BuildRequires:  mono-devel rpm-build-mono mono-mcs libgnome-sharp gcc-c++

%description
TagLib# is a FREE and Open Source library for the .NET 2.0 and Mono frameworks
which will let you tag your software with as much or as little detail as you like without
slowing you down. It supports a large variety of movie and music formats which abstract
away the work, handling all the different cases, so all you have to do is access 
file.Tag.Title, file.Tag.Lyrics, or my personal favorite file.Tag.Pictures.

%prep
%setup -n %rname-%version
%patch1 -p1

%build
%__autoreconf
%configure --disable-static --disable-docs
%make

%install
%make_install install DESTDIR=%buildroot

%files
%doc README ChangeLog AUTHORS NEWS
%_monodir/%rname
%_monogacdir/*
%_pkgconfigdir/*.pc

%changelog
* Tue Dec 11 2007 Alexey Shabalin <shaba@altlinux.ru> 2.0.2.0-alt2
- fix build for x86_64 (patch1)

* Thu Dec 06 2007 Alexey Shabalin <shaba@altlinux.ru> 2.0.2.0-alt1
- Initial build for Sisyphus
- disable build docs (need fix install path)
